<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [empty](./bitburner.netscriptport.empty.md)

## NetscriptPort.empty() method

Check if the port is empty.

**Signature:**

```typescript
empty(): boolean;
```
**Returns:**

boolean

true if the port is empty, otherwise false

## Remarks

RAM cost: 0 GB

